<?php
namespace Claromentis\Core\Component;

$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] ?: array()) + array("_cfe3120f54395b670652b38c" . "2d0a8e88" => base64_decode("c3Vic" . "3Ry"), "_5315a4e0f66f0e19adf523faaadf6" . "91a" => base64_decode("Q29tcG9uZW50IHJlZ2lzdGVyZWQgYXMgI" . "g=="), "_e92ad742fc12ec1dd5c30557fafca3" . "31" => base64_decode("Ig" . "=="), "_a5ad20ceac0b4ca276b64" . "4079b7af5c5" => base64_decode("IiBkb2VzIG5vdCByZXR1" . "cm4gYW4gaW5zdGFuY2Ug" . "b2Yg"), "_d706c160e45bf7434fff8" . "2a5976f0e19" => base64_decode("YXJyYXlfa2V5cw=" . "="), "_aed8da0f190" . "91214b78f803" . "51048517c" => base64_decode("c3Ryb" . "GVu"), "_cdbb345f4d4f843abb75a837d26cccf" . "5" => base64_decode("Tm8gY29tcG9uZW50IGhhcyBiZWVuIHJlZ2lzdGVyZWQgYXMg" . "Ig=="), "_f61cbfe09f839" . "854b95117fe13b" . "4a1ba" => base64_decode("c3RycG9" . "z"), "_70979d287fa2c98d21" . "aa07834c259a52" => base64_decode("c3RydG9" . "sb3dlcg" . "=="));
use Claromentis\Core\Component\Exception\MissingComponentException;
use Pimple\Container;
class ComponentList
{
    protected $components;
    protected $container;
    protected $name_prefix;
    public function __construct(Container $_5e4594441b0e531bfd6f0011e0327611, $_b33b852882e8491a1cddaabb020b3daf)
    {
        $this->container = $_5e4594441b0e531bfd6f0011e0327611;
        $this->name_prefix = $_b33b852882e8491a1cddaabb020b3daf;
        $this->components = null;
    }
    
    
    
    
    protected function FindComponentsKeys()
    {
        if ($this->components !== null) {
            return;
        }
        $this->components = [];
        $_dff05f62bb87399254f2155a31e58365 = $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_aed8da0f19091214b78f80" . "351048517c"]($this->name_prefix);
        foreach ($this->container->keys() as $key) {
            if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_f61cbfe09f839854" . "b95117fe13b4a1ba"]($key, $this->name_prefix) !== 0) {
                
                
                continue;
            }
            $this->components[$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_cfe3120f54395b670652b38c" . "2d0a8e88"]($key, $_dff05f62bb87399254f2155a31e58365)] = 1;
        }
    }
    
    
    
    
    public function GetComponentsKeys()
    {
        $this->FindComponentsKeys();
        return $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_d706c160e45bf7434ff" . "f82a5976f0e19"]($this->components);
    }
    
    
    
    
    
    
    
    
    
    public function GetComponent($name, $_0075b8e35172a508cf11199cdbf91f66 = false)
    {
        $name = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_70979d287" . "fa2c98d21a" . "a07834c259" . "a52"]($name);
        $_21d5dbcf5399111a9e090014c78472cf = $this->name_prefix . $name;
        if (!isset($this->container[$_21d5dbcf5399111a9e090014c78472cf])) {
            if ($_0075b8e35172a508cf11199cdbf91f66) {
                return new NotInstalledComponent($name);
            } else {
                throw new MissingComponentException($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_cdbb345f4d4f" . "843abb75a837d" . "26cccf5"] . $name . $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_e92ad742fc12ec1dd5c30" . "557fafca331"]);
            }
        }
        $_6817ec6d42314534466dd8262d02d837 = $this->container[$_21d5dbcf5399111a9e090014c78472cf];
        if (!$_6817ec6d42314534466dd8262d02d837 instanceof ComponentInterface) {
            throw new MissingComponentException($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_5315a4e0f66f0e19adf523faaadf" . "691a"] . $name . $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_a5ad20ceac0b4ca276b64" . "4079b7af5c5"] . ComponentInterface::class);
        }
        return $_6817ec6d42314534466dd8262d02d837;
    }
}